Update google compute-image-packages to 20180510

Bug #1770650 reported by Balint Reczey on 2018-05-11
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gce-compute-image-packages (Ubuntu)
Undecided
The Cpc-gce team
Trusty
Undecided
Unassigned
Xenial
Undecided
Unassigned
Artful
Undecided
Unassigned
Bionic
Undecided
Unassigned

Bug Description

[Impact]

compute-image-packages is provided by Google for installation within guests that run on Google Compute Engine. It is a collection of tools and daemons, packaged as gce-compute-image-packages, that ensure that the Ubuntu images published to GCE run properly on their platform.

Cloud platforms evolve at a rate that can't be handled in six-month increments, and they will often develop features that they would like to be available to customers who don't want to upgrade from earlier Ubuntu releases. As such, updating gce-compute-image-packages to more recent upstream releases is required within all Ubuntu releases, so they continue to function properly in their environment.

With this release we also add a new binary package to the suite - google-compute-engine-oslogin which is for a future feature of using OS Login on GCE VM instances.

In the SRU for Trusty the maintainer scripts removed manual handling of systemd services because systemd can be present on Trusty systemd due to recent changes.

In the Trusty SRU the maintainer scripts are also changed to start/restart the shipped upstart jobs and also running google_instance_setup.

[Test Case]

When a new version of gce-compute-image-packages is uploaded to -proposed, the following will be done:

 * an image based on -proposed will be built for GCE and published to the ubuntu-os-cloud-devel project
 * the CPC team will write new automated tests to cover new testable functionality (if any) in the new package
 * the automated testing that the CPC team normally runs against GCE images before they are published will be run against the -proposed image
 * the GCE team will be asked to validate that the new package addresses the issues it is expected to address, and that the image passes their internal image validation.

If all the testing indicates that the image containing the new package is acceptable, verification will be considered to be done.

[Other Information]

This bug is used for tracking of releasing the new upstream version for all supported series, as per the approved policy mentioned in the following MRE:

https://wiki.ubuntu.com/gce-compute-image-packages-Updates

Balint Reczey (rbalint) on 2018-05-11
Changed in gce-compute-image-packages (Ubuntu):
assignee: nobody → Balint Reczey (rbalint)
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gce-compute-image-packages - 20180510+dfsg1-0ubuntu1

---------------
gce-compute-image-packages (20180510+dfsg1-0ubuntu1) cosmic; urgency=medium

  [ Balint Reczey ]
  * Break, Replace and Provide irqbalance.
    Optimization scripts are conflicting with irqbalance and the set
    relationships ensure removal of irqbalance when it was accidentally
    installed.
  * Depend on virtual system-log-daemon as an alternative of rsyslog
  * Update copyrights
  * New upstream version 20180510 (LP: #1770650)
  * Refresh patches
  * Adjust tests to changed behaviour
  * Update symlink to shared library with updated revision
  * debian/gce-compute-image-packages.preinst: Add debhelper token
  * Update Lintian overrides

  [ Google Cloud Team ]
  * Add module blacklist for GCE
  * Fix Debian install when migrating to new network daemon

 -- Balint Reczey <email address hidden> Tue, 15 May 2018 16:09:25 +0200

Changed in gce-compute-image-packages (Ubuntu):
status: In Progress → Fix Released

Hello Balint, or anyone else affected,

Accepted gce-compute-image-packages into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gce-compute-image-packages/20180510+dfsg1-0ubuntu2~18.04.0 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gce-compute-image-packages (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-bionic
Łukasz Zemczak (sil2100) wrote :

Hello Balint, or anyone else affected,

Accepted gce-compute-image-packages into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gce-compute-image-packages/20180510+dfsg1-0ubuntu3~18.04.0 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gce-compute-image-packages (Ubuntu Artful):
status: New → Fix Committed
tags: added: verification-needed-artful
Łukasz Zemczak (sil2100) wrote :

Hello Balint, or anyone else affected,

Accepted gce-compute-image-packages into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gce-compute-image-packages/20180510+dfsg1-0ubuntu3~17.10.0 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gce-compute-image-packages (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed-xenial
Łukasz Zemczak (sil2100) wrote :

Hello Balint, or anyone else affected,

Accepted gce-compute-image-packages into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gce-compute-image-packages/20180510+dfsg1-0ubuntu3~16.04.0 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gce-compute-image-packages (Ubuntu Trusty):
status: New → Fix Committed
tags: added: verification-needed-trusty
Łukasz Zemczak (sil2100) wrote :

Hello Balint, or anyone else affected,

Accepted gce-compute-image-packages into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gce-compute-image-packages/20180510+dfsg1-0ubuntu3~14.04.0 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-trusty to verification-done-trusty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-trusty. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Łukasz Zemczak (sil2100) wrote :

Hello Balint, or anyone else affected,

Accepted gce-compute-image-packages into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gce-compute-image-packages/20180510+dfsg1-0ubuntu4~18.04.0 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Łukasz Zemczak (sil2100) wrote :

Hello Balint, or anyone else affected,

Accepted gce-compute-image-packages into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gce-compute-image-packages/20180510+dfsg1-0ubuntu3~14.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-trusty to verification-done-trusty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-trusty. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Philip Roche (philroche) wrote :

I have verified gce-compute-image-packages version 20180510+dfsg1-0ubuntu4~18.04 in bionic.

All automated tests and manual tests passed.

Tests confirm expected services are running too.

tags: added: verification-done-bionic
removed: verification-needed-bionic

The verification of the Stable Release Update for gce-compute-image-packages has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gce-compute-image-packages - 20180510+dfsg1-0ubuntu4~18.04.0

---------------
gce-compute-image-packages (20180510+dfsg1-0ubuntu4~18.04.0) bionic; urgency=medium

  * Rebuild for Bionic

gce-compute-image-packages (20180510+dfsg1-0ubuntu4) cosmic; urgency=medium

  * debian/patches/0004-order-shutdown-scripts-after-snapd.patch: Order
    shutdown scripts after snapd.service.
  * debian/patches/0005-add-snap-bin-to-path.patch: Add /snap/bin to
    PATH for startup/shutdown scripts.

gce-compute-image-packages (20180510+dfsg1-0ubuntu3~18.04.0) bionic; urgency=medium

  * Rebuild for Bionic

gce-compute-image-packages (20180510+dfsg1-0ubuntu3) cosmic; urgency=medium

  * Update prerm to stop google-network-daemon.service rather than the removed ones
  * Only Provide irqbalance without Breaks and Replaces to ensure smooth upgrades

gce-compute-image-packages (20180510+dfsg1-0ubuntu2) cosmic; urgency=medium

  * debian/patches/0003-order-startup-scripts-after-snap-
    seeding.service: Ensure that snaps have been seeded before startup
    scripts run.

gce-compute-image-packages (20180510+dfsg1-0ubuntu1) cosmic; urgency=medium

  [ Balint Reczey ]
  * Break, Replace and Provide irqbalance.
    Optimization scripts are conflicting with irqbalance and the set
    relationships ensure removal of irqbalance when it was accidentally
    installed.
  * Depend on virtual system-log-daemon as an alternative of rsyslog
  * Update copyrights
  * New upstream version 20180510 (LP: #1770650)
  * Refresh patches
  * Adjust tests to changed behaviour
  * Update symlink to shared library with updated revision
  * debian/gce-compute-image-packages.preinst: Add debhelper token
  * Update Lintian overrides

  [ Google Cloud Team ]
  * Add module blacklist for GCE
  * Fix Debian install when migrating to new network daemon

gce-compute-image-packages (20180129+dfsg1-0ubuntu3) bionic; urgency=medium

  * Drop the Recommends: on google-cloud-sdk; this is moving to be a snap
    for 18.04 and we don't want to continue pulling in a deprecated deb.

 -- Balint Reczey <email address hidden> Fri, 18 May 2018 12:51:48 +0200

Changed in gce-compute-image-packages (Ubuntu Bionic):
status: Fix Committed → Fix Released
Philip Roche (philroche) wrote :

I have verified gce-compute-image-packages version 20180510+dfsg1-0ubuntu3~16.04 in xenial.

All automated tests and manual tests passed.

Tests confirm expected services are running too.

Philip Roche (philroche) wrote :

I have verified gce-compute-image-packages version 20180510+dfsg1-0ubuntu3~17.10 in artful.

All automated tests and manual tests passed.

Tests confirm expected services are running too.

Philip Roche (philroche) wrote :

The following test images have been created with the proposed version of gce-compute-image-packages:

daily-ubuntu-testing-1804-bionic-v20180525 in project ubuntu-phil
daily-ubuntu-testing-1604-xenial-v20180529 in project ubuntu-phil
daily-ubuntu-testing-1710-artful-v20180529 in project ubuntu-phil

All have passed automated and manual tests.

Build of Trusty image with gce-compute-image-packages 20180510+dfsg1 is in progress.

Hello Balint, or anyone else affected,

Accepted gce-compute-image-packages into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gce-compute-image-packages/20180510+dfsg1-0ubuntu3~14.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-trusty to verification-done-trusty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-trusty. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Philip Roche (philroche) wrote :

Trusty image with gce-compute-image-packages 20180510+dfsg1-0ubuntu3~14.04.2 now published as "daily-ubuntu-gceip-verify-1404-trusty-v20180530a" in project "ubuntu-os-cloud-devel". All automated tests and manual tests passed.

In summary:

The following test images have been created with the proposed version of gce-compute-image-packages:

* daily-ubuntu-gceip-verify-1404-trusty-v20180530a in project ubuntu-os-cloud-devel
* daily-ubuntu-testing-1604-xenial-v20180529 in project ubuntu-phil
* daily-ubuntu-testing-1710-artful-v20180529 in project ubuntu-phil
* daily-ubuntu-testing-1804-bionic-v20180525 in project ubuntu-phil

@GCE-team, please can you verify these images before we proceed with migration to -updates pocket of the archive.

Changed in gce-compute-image-packages (Ubuntu):
assignee: Balint Reczey (rbalint) → The Cpc-gce team (cpc-gce-team)
Balint Reczey (rbalint) wrote :

@GCE-team reported that Xenial and Artful images passed verification.

tags: added: verification-done-artful verification-done-xenial
removed: verification-needed-artful verification-needed-xenial
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gce-compute-image-packages - 20180510+dfsg1-0ubuntu3~17.10.0

---------------
gce-compute-image-packages (20180510+dfsg1-0ubuntu3~17.10.0) artful; urgency=medium

  * Backport to Artful
  * Don't wait for snapd.seeded.service
  * Keep recommending google-cloud-sdk

gce-compute-image-packages (20180510+dfsg1-0ubuntu3) cosmic; urgency=medium

  * Update prerm to stop google-network-daemon.service rather than the removed ones
  * Only Provide irqbalance without Breaks and Replaces to ensure smooth upgrades

gce-compute-image-packages (20180510+dfsg1-0ubuntu2) cosmic; urgency=medium

  * debian/patches/0003-order-startup-scripts-after-snap-
    seeding.service: Ensure that snaps have been seeded before startup
    scripts run.

gce-compute-image-packages (20180510+dfsg1-0ubuntu1) cosmic; urgency=medium

  [ Balint Reczey ]
  * Break, Replace and Provide irqbalance.
    Optimization scripts are conflicting with irqbalance and the set
    relationships ensure removal of irqbalance when it was accidentally
    installed.
  * Depend on virtual system-log-daemon as an alternative of rsyslog
  * Update copyrights
  * New upstream version 20180510 (LP: #1770650)
  * Refresh patches
  * Adjust tests to changed behaviour
  * Update symlink to shared library with updated revision
  * debian/gce-compute-image-packages.preinst: Add debhelper token
  * Update Lintian overrides

  [ Google Cloud Team ]
  * Add module blacklist for GCE
  * Fix Debian install when migrating to new network daemon

gce-compute-image-packages (20180129+dfsg1-0ubuntu3) bionic; urgency=medium

  * Drop the Recommends: on google-cloud-sdk; this is moving to be a snap
    for 18.04 and we don't want to continue pulling in a deprecated deb.

gce-compute-image-packages (20180129+dfsg1-0ubuntu2) bionic; urgency=medium

  * No-change rebuild against libcurl4

 -- Balint Reczey <email address hidden> Wed, 16 May 2018 21:01:04 +0200

Changed in gce-compute-image-packages (Ubuntu Artful):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gce-compute-image-packages - 20180510+dfsg1-0ubuntu3~16.04.0

---------------
gce-compute-image-packages (20180510+dfsg1-0ubuntu3~16.04.0) xenial; urgency=medium

  * Backport to Xenial
  * Don't wait for snapd.seeded.service
  * Keep recommending google-cloud-sdk

gce-compute-image-packages (20180510+dfsg1-0ubuntu3) cosmic; urgency=medium

  * Update prerm to stop google-network-daemon.service rather than the removed ones
  * Only Provide irqbalance without Breaks and Replaces to ensure smooth upgrades

gce-compute-image-packages (20180510+dfsg1-0ubuntu2) cosmic; urgency=medium

  * debian/patches/0003-order-startup-scripts-after-snap-
    seeding.service: Ensure that snaps have been seeded before startup
    scripts run.

gce-compute-image-packages (20180510+dfsg1-0ubuntu1) cosmic; urgency=medium

  [ Balint Reczey ]
  * Break, Replace and Provide irqbalance.
    Optimization scripts are conflicting with irqbalance and the set
    relationships ensure removal of irqbalance when it was accidentally
    installed.
  * Depend on virtual system-log-daemon as an alternative of rsyslog
  * Update copyrights
  * New upstream version 20180510 (LP: #1770650)
  * Refresh patches
  * Adjust tests to changed behaviour
  * Update symlink to shared library with updated revision
  * debian/gce-compute-image-packages.preinst: Add debhelper token
  * Update Lintian overrides

  [ Google Cloud Team ]
  * Add module blacklist for GCE
  * Fix Debian install when migrating to new network daemon

gce-compute-image-packages (20180129+dfsg1-0ubuntu3) bionic; urgency=medium

  * Drop the Recommends: on google-cloud-sdk; this is moving to be a snap
    for 18.04 and we don't want to continue pulling in a deprecated deb.

gce-compute-image-packages (20180129+dfsg1-0ubuntu2) bionic; urgency=medium

  * No-change rebuild against libcurl4

 -- Balint Reczey <email address hidden> Wed, 16 May 2018 21:07:04 +0200

Changed in gce-compute-image-packages (Ubuntu Xenial):
status: Fix Committed → Fix Released
Balint Reczey (rbalint) on 2018-06-08
description: updated
Brian Murray (brian-murray) wrote :

Hello Balint, or anyone else affected,

Accepted gce-compute-image-packages into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gce-compute-image-packages/20180510+dfsg1-0ubuntu3~14.04.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-trusty to verification-done-trusty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-trusty. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Philip Roche (philroche) wrote :

Trusty image with gce-compute-image-packages 20180510+dfsg1-0ubuntu3~14.04.3 now published as "daily-ubuntu-gceip-ppa-1404-trusty-v20180611" in project "ubuntu-os-cloud-devel". All automated tests and manual tests passed.

@GCE-team, please can you verify these images before we proceed with migration to -updates pocket of the archive.

Zach Marano (zmarano) wrote :

Looks good to me, go ahead and promote!

Philip Roche (philroche) on 2018-06-13
tags: added: verification-done verification-done-trusty
removed: verification-needed verification-needed-trusty
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gce-compute-image-packages - 20180510+dfsg1-0ubuntu3~14.04.3

---------------
gce-compute-image-packages (20180510+dfsg1-0ubuntu3~14.04.3) trusty; urgency=medium

  * Restart services upon upgrade with upstart, too
  * Remove handling the systemd cases from maintainer scripts

gce-compute-image-packages (20180510+dfsg1-0ubuntu3~14.04.2) trusty; urgency=medium

  * Revert to debhelper to perform most service operations

gce-compute-image-packages (20180510+dfsg1-0ubuntu3~14.04.1) trusty; urgency=medium

  * Stop obsoleted services before removing their upstart .conf files

gce-compute-image-packages (20180510+dfsg1-0ubuntu3~14.04.0) trusty; urgency=medium

  * Backport to Trusty
  * Don't wait for snapd.seeded.service
  * Keep recommending google-cloud-sdk
  * Refresh patches
  * debian/rules: Handle all upstart services in override_dh_installinit
  * Clean up obsoleted services for upstart, too
  * Manage upstart scripts in postinst/preinst/prerm

gce-compute-image-packages (20180510+dfsg1-0ubuntu3) cosmic; urgency=medium

  * Update prerm to stop google-network-daemon.service rather than the removed ones
  * Only Provide irqbalance without Breaks and Replaces to ensure smooth upgrades

gce-compute-image-packages (20180510+dfsg1-0ubuntu2) cosmic; urgency=medium

  * debian/patches/0003-order-startup-scripts-after-snap-
    seeding.service: Ensure that snaps have been seeded before startup
    scripts run.

gce-compute-image-packages (20180510+dfsg1-0ubuntu1) cosmic; urgency=medium

  [ Balint Reczey ]
  * Break, Replace and Provide irqbalance.
    Optimization scripts are conflicting with irqbalance and the set
    relationships ensure removal of irqbalance when it was accidentally
    installed.
  * Depend on virtual system-log-daemon as an alternative of rsyslog
  * Update copyrights
  * New upstream version 20180510 (LP: #1770650)
  * Refresh patches
  * Adjust tests to changed behaviour
  * Update symlink to shared library with updated revision
  * debian/gce-compute-image-packages.preinst: Add debhelper token
  * Update Lintian overrides

  [ Google Cloud Team ]
  * Add module blacklist for GCE
  * Fix Debian install when migrating to new network daemon

gce-compute-image-packages (20180129+dfsg1-0ubuntu3) bionic; urgency=medium

  * Drop the Recommends: on google-cloud-sdk; this is moving to be a snap
    for 18.04 and we don't want to continue pulling in a deprecated deb.

gce-compute-image-packages (20180129+dfsg1-0ubuntu2) bionic; urgency=medium

  * No-change rebuild against libcurl4

 -- Balint Reczey <email address hidden> Thu, 07 Jun 2018 16:27:01 -0700

Changed in gce-compute-image-packages (Ubuntu Trusty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers